Package org.firebirdsql.jdbc

## Class FBObjectListener.NoActionResultSetListener

- java.lang.Object
- - org.firebirdsql.jdbc.FBObjectListener.NoActionResultSetListener

- All Implemented Interfaces:
    `FBObjectListener.ResultSetListener`
  Enclosing interface:
    FBObjectListener

      public static final class FBObjectListener.NoActionResultSetListener
      extends java.lang.Object
      implements FBObjectListener.ResultSetListener

  Implementation of `FBObjectListener.ResultSetListener` that implements all methods as empty methods.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `allRowsFetched​(java.sql.ResultSet rs)` | Notify listener that all rows were fetched.
    `void` | `executionCompleted​(org.firebirdsql.jdbc.FirebirdRowUpdater updater, boolean success)` | Notify listener that execution of some row updating operation is completed.
    `void` | `executionStarted​(org.firebirdsql.jdbc.FirebirdRowUpdater updater)` | Notify listener that execution of some row updating operation started.
    `static FBObjectListener.ResultSetListener` | `instance()` |
    `void` | `resultSetClosed​(java.sql.ResultSet rs)` | Notify listener that result set was closed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### instance

          public static FBObjectListener.ResultSetListener instance()

    - #### resultSetClosed

          public void resultSetClosed​(java.sql.ResultSet rs)
                               throws java.sql.SQLException

      Description copied from interface: `FBObjectListener.ResultSetListener`
      Notify listener that result set was closed.
      Specified by:
        `resultSetClosed` in interface `FBObjectListener.ResultSetListener`
      Parameters:
        `rs` - result set that was closed.
      Throws:
        `java.sql.SQLException`

    - #### allRowsFetched

          public void allRowsFetched​(java.sql.ResultSet rs)
                              throws java.sql.SQLException

      Description copied from interface: `FBObjectListener.ResultSetListener`
      Notify listener that all rows were fetched. This event is used in auto-commit case to tell the statement that it is completed.
      Specified by:
        `allRowsFetched` in interface `FBObjectListener.ResultSetListener`
      Parameters:
        `rs` - result set that was completed.
      Throws:
        `java.sql.SQLException`

    - #### executionStarted

          public void executionStarted​(org.firebirdsql.jdbc.FirebirdRowUpdater updater)
                                throws java.sql.SQLException

      Description copied from interface: `FBObjectListener.ResultSetListener`
      Notify listener that execution of some row updating operation started.
      Specified by:
        `executionStarted` in interface `FBObjectListener.ResultSetListener`
      Parameters:
        `updater` - instance of `FirebirdRowUpdater`
      Throws:
        `java.sql.SQLException` - if somewthing went wrong.

    - #### executionCompleted

          public void executionCompleted​(org.firebirdsql.jdbc.FirebirdRowUpdater updater,
                                         boolean success)
                                  throws java.sql.SQLException

      Description copied from interface: `FBObjectListener.ResultSetListener`
      Notify listener that execution of some row updating operation is completed.
      Specified by:
        `executionCompleted` in interface `FBObjectListener.ResultSetListener`
      Parameters:
        `updater` - instance of `FirebirdRowUpdater`.
      Throws:
        `java.sql.SQLException` - if something went wrong.